Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat
Class NEATLink

    java.lang.Object
      org.encog.neural.neat.NEATLink

All Implemented Interfaces:
  Serializable

    public class NEATLink

extends Object
implements Serializable

Implements a link between two NEAT neurons. NeuroEvolution of Augmenting Topologies (NEAT) is a genetic algorithm for the generation of evolving artificial neural networks. It was developed by Ken Stanley while at The University of Texas at Austin. http://www.cs.ucf.edu/~kstanley/

See Also:
  Serialized Form

Constructor Summary
`NEATLink()` Default constructor, used mainly for persistance.
`NEATLink(double weight, NEATNeuron fromNeuron, NEATNeuron toNeuron, boolean recurrent)` Construct a NEAT link.

Method Summary
`NEATNeuron` | `getFromNeuron()`
`NEATNeuron` | `getToNeuron()`
`double` | `getWeight()`
`boolean` | `isRecurrent()`
`boolean` | `supportsMapPersistence()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NEATLink

    public NEATLink()

  Default constructor, used mainly for persistance.

### NEATLink

    public NEATLink(double weight,
                    NEATNeuron fromNeuron,
                    NEATNeuron toNeuron,
                    boolean recurrent)

  Construct a NEAT link.

  Parameters:
    `weight` - The weight between the two neurons.
    `fromNeuron` - The source neuron.
    `toNeuron` - The target neuron.
    `recurrent` - Is this a recurrent link.

Method Detail

### getFromNeuron

    public NEATNeuron getFromNeuron()

  Returns:
    The source neuron.

### getToNeuron

    public NEATNeuron getToNeuron()

  Returns:
    The target neuron.

### getWeight

    public double getWeight()

  Returns:
    The weight of the link.

### isRecurrent

    public boolean isRecurrent()

  Returns:
    True if this is a recurrent link.

### supportsMapPersistence

    public boolean supportsMapPersistence()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.